Package org.eclipse.cdt.core.model

# Interface IPragma.PragmaMarkInfo

Enclosing interface:
  `IPragma`

public static interface IPragma.PragmaMarkInfo

## Method Summary

Modifier and Type
Method
Description
`String`
`getMarkName()`
The display string of the mark.
`boolean`
`isDividerAfterMark()`
Whether the pragma indicates a divider after it.
`boolean`
`isDividerBeforeMark()`
Whether the pragma indicates a divider before it.

## Method Details

### isDividerBeforeMark

boolean isDividerBeforeMark()
Whether the pragma indicates a divider before it.

### isDividerAfterMark

boolean isDividerAfterMark()
Whether the pragma indicates a divider after it.

### getMarkName

String getMarkName()
The display string of the mark.